/**
 * Errores de capa de aplicación. No deben "filtrarse" a cliente tal cual.
 *
 * */

export class ApplicationError extends Error {
  public readonly layer = "application" as const;
  constructor(message: string, options?: ErrorOptions) {
    super(message, options);
    Object.setPrototypeOf(this, new.target.prototype);
  }
}
